SchedulerServiceAsync (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared
Interface SchedulerServiceAsync

    public interface SchedulerServiceAsync

Method Summary
`void` | `cancel(String scope, String resourceName, String transferId, boolean force, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `createNewFolderInMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
`void` | `createNewTreeSource(String agentHostname, String agentPort, String scope, String sourceId, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `deleteFolderInMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
`void` | `deleteTreeSource(String agentHostname, String agentPort, String scope, String sourceId, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getAgentStatistics(String scope, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getFileListOfAgent(String path, String agentHostname, String agentPort, String scope, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getFileListOfDSourceOrDStorage(String type, String dataSourceId, String specificPath, String scope, String resourceName, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getFileListOfMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getObjectsFromIS(String type, String scope, String resourceName, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getOutcomes(String scope, String resourceName, String transferId, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getTransfers(String scope, String resourceName, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getTreeSources(String agentHostname, String agentPort, String scope, String type, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getUserAndScopeAndRole(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getWorkspace(String username, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getWorkspaceFolder(String jsonWorkspace, String folderId, boolean needTheParent, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `listFiles(String input, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `monitor(String scope, String resourceName, String transferId, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `schedule(String obj, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`

Method Detail

### listFiles

    void listFiles(String input,
                   com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                   throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getTransfers

    void getTransfers(String scope,
                      String resourceName,
                      com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                      throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getObjectsFromIS

    void getObjectsFromIS(String type,
                          String scope,
                          String resourceName,
                          com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### schedule

    void schedule(String obj,
                  com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                  throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### monitor

    void monitor(String scope,
                 String resourceName,
                 String transferId,
                 com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                 throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getOutcomes

    void getOutcomes(String scope,
                     String resourceName,
                     String transferId,
                     com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                     throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### cancel

    void cancel(String scope,
                String resourceName,
                String transferId,
                boolean force,
                com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getFileListOfDSourceOrDStorage

    void getFileListOfDSourceOrDStorage(String type,
                                        String dataSourceId,
                                        String specificPath,
                                        String scope,
                                        String resourceName,
                                        com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                                        throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getWorkspaceFolder

    void getWorkspaceFolder(String jsonWorkspace,
                            String folderId,
                            boolean needTheParent,
                            com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                            throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getUserAndScopeAndRole

    void getUserAndScopeAndRole(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                                throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getWorkspace

    void getWorkspace(String username,
                      com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                      throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getAgentStatistics

    void getAgentStatistics(String scope,
                            com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                            throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getFileListOfMongoDB

    void getFileListOfMongoDB(String smServiceClassSource,
                              String smServiceNameSource,
                              String smOwnerSource,
                              String smAccessTypeSource,
                              String path,
                              String scope,
                              com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                              throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getFileListOfAgent

    void getFileListOfAgent(String path,
                            String agentHostname,
                            String agentPort,
                            String scope,
                            com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                            throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### createNewFolderInMongoDB

    void createNewFolderInMongoDB(String smServiceClassSource,
                                  String smServiceNameSource,
                                  String smOwnerSource,
                                  String smAccessTypeSource,
                                  String path,
                                  String scope,
                                  com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)
                                  throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### deleteFolderInMongoDB

    void deleteFolderInMongoDB(String smServiceClassSource,
                               String smServiceNameSource,
                               String smOwnerSource,
                               String smAccessTypeSource,
                               String path,
                               String scope,
                               com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)
                               throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getTreeSources

    void getTreeSources(String agentHostname,
                        String agentPort,
                        String scope,
                        String type,
                        com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                        throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### createNewTreeSource

    void createNewTreeSource(String agentHostname,
                             String agentPort,
                             String scope,
                             String sourceId,
                             com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                             throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### deleteTreeSource

    void deleteTreeSource(String agentHostname,
                          String agentPort,
                          String scope,
                          String sourceId,
                          com.google.gwt.user.client.rpc.AsyncCallback<String> callback)
                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.